<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableCustomerCatRecord extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customer_cat_record', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id')->comment('store_id');
            $table->string('open_id',255)->comment('open_id');
            $table->unsignedInteger('agent_id')->comment('agent_id');
            $table->unsignedInteger('cat_id')->comment('cat_id');
            $table->unsignedInteger('style_id')->comment('style_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customer_cat_record');
    }
}
